import * as $dara from '@darabonba/typescript';
export declare class DescribePrefixListsResponseBodyPrefixListsPrefixListTagsTag extends $dara.Model {
    tagKey?: string;
    tagValue?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePrefixListsResponseBodyPrefixListsPrefixListTags extends $dara.Model {
    tag?: DescribePrefixListsResponseBodyPrefixListsPrefixListTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePrefixListsResponseBodyPrefixListsPrefixList extends $dara.Model {
    addressFamily?: string;
    associationCount?: number;
    creationTime?: string;
    description?: string;
    maxEntries?: number;
    prefixListId?: string;
    prefixListName?: string;
    resourceGroupId?: string;
    tags?: DescribePrefixListsResponseBodyPrefixListsPrefixListTags;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePrefixListsResponseBodyPrefixLists extends $dara.Model {
    prefixList?: DescribePrefixListsResponseBodyPrefixListsPrefixList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePrefixListsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The query token that is returned in this call. If the return value is empty, no more data is returned.
     *
     * @example
     * AAAAAdDWBF2****
     */
    nextToken?: string;
    prefixLists?: DescribePrefixListsResponseBodyPrefixLists;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 38793DB8-A4B2-4AEC-BFD3-111234E9188D
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
